<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('users', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->string('name');
            $table->string('last_name')->nullable();
            $table->string('phone')->unique();
            $table->string('email')->unique();
            $table->string('password');
            $table->string('profile_photo')->nullable();

            $table->enum('role', [
                'desarrollador',
                'administrador',
                'gerente',
                'recepcionista'
            ]);

            $table->json('report_permissions');

            $table->unsignedBigInteger('shift_id')->nullable();
            $table->foreign('shift_id')
                ->references('id')->on('shifts')
                ->onDelete('set null');

            $table->rememberToken();
            $table->timestamps();
            $table->timestamp('email_verified_at')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('users');
    }
};
